<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMeetingRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('meeting_requests', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('setter_id');
            $table->unsignedBigInteger('receiver_id');
            $table->unsignedBigInteger('timestamp_id');
            $table->unsignedBigInteger('datestamp_id');
            $table->smallInteger('status');
            $table->timestamps();

            $table->foreign('setter_id')->references('id')->on('users');
            $table->foreign('receiver_id')->references('id')->on('users');
            $table->foreign('timestamp_id')->references('id')->on('time_stamps');
            $table->foreign('datestamp_id')->references('id')->on('date_stamps');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('meeting_requests');
    }
}
