@extends('layouts.admin')

@section('content')
<div class="content-container">
    <div class="content-header">
        <h2>Users List</h2>
    </div>
    <div class="content-body-table">
            <div class="card">
                <div class="card-header"></div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered table-hover" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <th>ID</th>
                                <th>Company Name</th>
                                <th>Email</th>
                                <th>Contact</th>
                                <th>Country</th>
                                <th>Category</th>
                                <th>Action</th>
                            </thead>
                            <tbody>
                                @foreach($users as $user)
                                    <tr>
                                        <td>{{ $user->id }}</td>
                                        <td>{{ $user->detail->company_name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->detail->contact }}</td>
                                        <td>{{ $user->detail->country }}</td>
                                        <td>{{ $user->detail->business_category }}</td>
                                        <td><a href="{{ route('admin.user.edit', $user->id) }}" class="btn btn-primary">Edit</a></td>
                                    </tr>
                                @endforeach
                            </tbody>
                            <tfoot>
                                <th>ID</th>
                                <th>Company Name</th>
                                <th>Email</th>
                                <th>Contact</th>
                                <th>Country</th>
                                <th>Category</th>
                                <th>Action</th>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
</div>
@endsection