@extends('layouts.app')

@section('content')
    <div class="content-container">
        <div class="content-header">
            <h2>Card Exchange</h2>
            <p class="text-danger">To make the system effective, please DO fill in your contact info in the “Edit My Profile” before you answer the request.</p>
        </div>
        <div class="content-body-table">
            <div class="card">
                <div class="card-header">
                    <span class="text-danger text-left"><span><i class="fas fa-calendar-minus"></i></span> Pending Request</span> <span class="text-muted">(Once you accept the request, the system will exchange contact info to each other.)</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($unconfirmed as $meeting)
                                    <tr>
                                        <td>{{ date('M d, Y', strtotime($meeting->created_at)) }}</td>
                                        @if($meeting->sender_id == auth()->user()->id)
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        @else
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        @endif
                                        <td>{{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }}</td>
                                        <td>{{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>
                                        <td class="text-danger">{{ 'Unconfirmed' }}</td>
                                        <td><a class="btn btn-primary" href="{{ route('user.card.exchange.accept', $meeting->id) }}">Accept</a> <a class="btn btn-primary" href="{{ route('user.card.exchange.reject', $meeting->id) }}">Reject</a></td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="card mt-10">
                <div class="card-header">
                    <span class="text-success text-left"><span><i class="fas fa-calendar"></i></span> Confirmed</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($confirmed as $meeting)
                                    <tr>
                                        <td>{{ date('M d, Y', strtotime($meeting->created_at)) }}</td>
                                        @if($meeting->sender_id == auth()->user()->id)
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        @else
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        @endif
                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="{{ $meeting->sender_id == auth()->user()->id ? $meeting->receiver_id : $meeting->sender_id }}"> {{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }} </a></td>
                                        <td>{{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>
                                        <td class="text-success">Confirmed</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="card mt-10">
                <div class="card-header">
                    <span class="text-muted text-left"><span><i class="fas fa-calendar"></i></span> Rejection</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($cancelled as $meeting)
                                    <tr>
                                        <td>{{ date('M d, Y', strtotime($meeting->created_at)) }}</td>
                                        @if($meeting->sender_id == auth()->user()->id)
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        @else
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        @endif
                                        <td>{{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }}</td>
                                        <td>{{ $meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>
                                        <td class="text-muted">{{ 'Cancelled' }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    @include('includes.card_exchange_modal_content')
@endsection