@extends('layouts.app')

@section('content')
    <div class="content-container">
        <div class="content-header">
            <h2>Book Meeting - {{ $user_detail->company_name }}</h2>
        </div>
        <div class="content-body-table">
            <div class="card">
                <div class="card-header">{{ $user_detail->company_name }} - {{$user_detail->contact}}</div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead class="thead-light">
                                <tr>
                                    <th>Time(GMT+8)</th>
                                    @foreach($dates as $date)
                                        <th>{{ $date->date_stamp }}</th>
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($user_detail->schedule as $key => $value)
                                    <tr>
                                        <td>{{ \App\Models\TimeStamp::getTime($key+1) }}</td>
                                        @foreach($value as $keyone => $valueone)
                                            @foreach($valueone as $keytwo => $valuetwo)
                                                <td>
                                                    @if($valuetwo == 0)
                                                        <div>
                                                            @if($meetings)
                                                                <span>
                                                                    @if($meetings->timestamp_id == $keyone && $meetings->datestamp_id == $keytwo)
                                                                        Unavailable <br>
                                                                        (You are booked.)
                                                                    @else
                                                                    <div>
                                                                        <button id="{{ $user_detail->user_id }}" cname="{{$user->detail->company_name}}" date_string="{{ \App\Models\DateStamp::getDate($keytwo) }}" time_string="{{ \App\Models\TimeStamp::getTime($keyone) }}" class="btn book_button" time="{{$keyone}}" date="{{$keytwo}}" style="background: var(--pgdx-blue) !important; color: #fff;">Book</button>
                                                                    </div>
                                                                    @endif
                                                                </span>
                                                            @else
                                                                <div>
                                                                    <button id="{{ $user_detail->user_id }}" cname="{{$user->detail->company_name}}" date_string="{{ \App\Models\DateStamp::getDate($keytwo) }}" time_string="{{ \App\Models\TimeStamp::getTime($keyone) }}" class="btn book_button" time="{{$keyone}}" date="{{$keytwo}}" style="background: var(--pgdx-blue) !important; color: #fff;">Book</button>
                                                                </div>
                                                            @endif
                                                        <div>
                                                    @else
                                                        <span class="">Unavailable
                                                            <br>(Closed.)
                                                        </span>
                                                    @endif
                                                </td>
                                            @endforeach
                                        @endforeach
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection