<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>PGDX - Biz Matching</title>
        <link rel="stylesheet" href="{{ asset('css/styles.css') }}">
        <link rel="stylesheet" href="{{ asset('css/custom.css') }}">
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>
    </head>
<body>
@php
    $bcategoryArray = [ 
            'Art and Animation' => '', 
            'Audio/Sound Design' => '', 
            'Game Development' => '', 
            'Publisher/Agency' => '', 
            'IP Licensing' => '', 
            'Advertisement' => '', 
            'Digital Media Marketing' => '', 
            'Event Management' => '', 
            'Game-related Hardware' => '', 
            'Game-related Software' => '', 
            'Game-related Platform' => '', 
            'Payment/Monetization' => '', 
            'Localization' => '', 
            'Venture Capital' => '', 
            'Crowdfunding Platform' => '', 
            'GameFi' => '', 
            'Indie Game Developer' => ''
        ];

        $pcategoryArray = [ 
            'PC game' => '', 
            'Online game' => '', 
            'Console game' => '', 
            'Mobile Apps' => '', 
            'Web game' => '', 
            'AR' => '', 
            'VR' => '', 
            'Blockchain game' => '', 
            'Other' => '', 
        ];

        $tcategoryArray = [ 
            'Art and Animation' => '', 
            'Audio/Sound Design' => '', 
            'Game Development' => '', 
            'Publisher/Agency' => '', 
            'IP Licensing' => '', 
            'Advertisement' => '', 
            'Digital Media Marketing' => '', 
            'Event Management' => '', 
            'Game-related Hardware' => '', 
            'Game-related Software' => '', 
            'Game-related Platform' => '', 
            'Payment/Monetization' => '', 
            'Localization' => '', 
            'Venture Capital' => '', 
            'Crowdfunding Platform' => '', 
            'GameFi' => '', 
            'Indie Game Developer' => ''
        ];

        $tmarketArray = [ 
            'Philippines' => '', 
            'Malaysia' => '', 
            'Singapore' => '', 
            'Southeast Asia' => '', 
            'Northeast Asia' => '', 
            'North America' => '', 
            'Middle East' => '', 
            'Europe' => '', 
            'Central and South America' => '', 
            'Other' => ''
        ];
@endphp
<div class="content-container">
        <div class="content-header">
            <h2>Register for Biz Matching</h2>
        </div>
        @if(Session::has('message'))
            <div class="alert alert-success">
                An email verification link has been sent to your email. Please verify first to login
            </div>
        @endif
        <div class="content-body-table">
            <div class="box-body">
                <form action="{{ route('user.register') }}" enctype="multipart/form-data" method="POST">
                    @csrf
                    <div class="row">
                    <div class="col-lg-5">
                        <div class="form-group">
                            <label for="company_name">Company Name</label>
                            <input type="text" class="form-control @error('company_name') is-invalid @enderror" name="company_name" required>
                            @error('company_name')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="country">Country</label>
                            <input type="text" class="form-control @error('country') is-invalid @enderror" name="country">
                            @error('country')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="company_email">Email</label>
                            <input type="text" class="form-control @error('email') is-invalid @enderror"" name="email" required>
                            @error('email')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="password" class="paswword">{{ __('Password') }}</label>
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">

                                @error('password')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                        </div>

                        <div class="form-group">
                            <label for="password-confirm" class="">{{ __('Confirm Password') }}</label>
                            <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                        </div>
                        <div class="form-group">
                            <label for="contact">Contact Name</label>
                            <input type="text" class="form-control @error('contact') is-invalid @enderror"" name="contact" required>
                            @error('contact')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="position">Job Title</label>
                            <input type="text" class="form-control @error('position') is-invalid @enderror"" name="position" required>
                            @error('position')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="number">Tel No.</label>
                            <input type="text" class="form-control @error('number') is-invalid @enderror"" name="number" required>
                            @error('number')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="contacts">IM Software</label>
                            <div class="input-group">
                                <label class="form-control" for="whatsapp">Whatsapp</label>
                                <input type="text" class="form-control @error('whatsapp') is-invalid @enderror"" name="whatsapp">
                                @error('whatsapp')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="input-group">
                                <label class="form-control" for="viber">Viber</label>
                                <input type="text" class="form-control @error('viber') is-invalid @enderror"" name="viber">
                                @error('viber')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="input-group">
                                <label class="form-control" for="wechat">WeChat</label>
                                <input type="text" class="form-control @error('wechat') is-invalid @enderror"" name="wechat">
                                @error('wechat')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="input-group">
                                <label class="form-control" for="skype">Skype</label>
                                <input type="text" class="form-control @error('skype') is-invalid @enderror"" name="skype">
                                @error('skype')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="input-group">
                                <label class="form-control" for="line">Line</label>
                                <input type="text" class="form-control @error('line') is-invalid @enderror"" name="line">
                                @error('line')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <p class="text-danger">(*Put atleast one contact)</p>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <div class="form-group">
                            <label for="company_logo">Company Logo</label>
                            <br>
                            <input type="file" name="company_logo" class="@error('company_logo') is-invalid @enderror" required>
                            @error('company_logo')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="company_website">Company Website</label>
                            <input type="text" class="form-control @error('company_website') is-invalid @enderror"" name="company_website" required                                                                                                                                                                                                                                                                                             >
                            @error('company_website')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="comunity_website">Community Website</label>
                            <input type="text" class="form-control @error('community_website') is-invalid @enderror"" name="community_website"                                                                                                                                                                                                                                                                                             >
                            @error('community_website')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="company_description">Company Description</label>
                            <textarea name="company_description" class="form-control @error('company_description') is-invalid @enderror"" id="" rows="5" required                                                                                                                                                                                                                                                                                               ></textarea>
                            @error('company_description')
                                <div class="alert alert-danger">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="business_category">Business Category</label>
                            <div>
                                <label>
                                    @foreach($bcategoryArray as $key => $value)
                                        <label><input class="@error('business_category') is-invalid @enderror" type="checkbox" name="business_category[]" value="{{ $key }}" {{ $value }}                                                                                                                                                                                                                                                                                          > {{$key}}</label>       
                                    @endforeach
                                </label>
                                @error('business_category')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror     
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="business_category">Product Cateogry</label>
                            <div>
                                <label>
                                    @foreach($pcategoryArray as $key => $value)
                                        <label><input class="@error('product_category') is-invalid @enderror" type="checkbox" name="product_category[]" value="{{ $key }}" {{ $value }}                                                                                                                                                                                                                                                                                             > {{$key}}</label>            
                                    @endforeach
                                </label>
                                @error('product_category')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror    
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="business_category">Target Market</label>
                            <div>
                                <label>
                                    @foreach($tmarketArray as $key => $value)
                                        <label><input class="@error('target_market') is-invalid @enderror" type="checkbox" name="target_market[]" value="{{ $key }}" {{ $value }}                                                                                                                                                                                                                                                                                           > {{$key}}</label>            
                                    @endforeach
                                </label>
                                @error('target_market')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror    
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="business_category">Target Category for business matching</label>
                            <div>
                                <label>
                                    @foreach($tcategoryArray as $key => $value)
                                        <label><input class="@error('target_category') is-invalid @enderror" type="checkbox" name="target_category[]" value="{{ $key }}" {{ $value }}                                                                                                                                                                                                                                                                                             > {{$key}}</label>            
                                    @endforeach
                                </label>
                                @error('target_category')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror    
                            </div>
                        </div>
                        
                    </div>
                        <div class="col-lg-10">
                            <div class="">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>
</html?
